%define rbname bdb
%define version 0.6.5
%define release %mkrel 2

Summary: An interface to Berkeley DB for Ruby
Name: ruby-%{rbname}

Version: %{version}
Release: %{release}
Group: Development/Ruby
License: GPL
URL: http://moulon.inra.fr/ruby/bdb.html
Source0: ftp://moulon.inra.fr/pub/ruby/%{rbname}-%{version}.tar.bz2
Patch0:	ruby-bdb-dependency.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-devel
BuildRequires: db4.6-devel

%description
This is an interface to Berkeley DB, it contains also an interface to
Berkeley DB XML.

%prep
%setup -q -n %{rbname}-%{version}
%patch0
for f in `find examples -name \*.rb`
do
	if head -n1 "$f" | grep '^#!' >/dev/null;
	then
		sed -i 's|/usr/local/bin|/usr/bin|' "$f"
		chmod 0755 "$f"
	else
		chmod 0644 "$f"
	fi
done

%build
ruby extconf.rb --vendor
make
make test

%install
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README.en examples docs Changes
%{ruby_vendorarchdir}/bdb.so




%changelog
* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.6.5-2mdv2010.0
+ Revision: 442786
- rebuild

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 0.6.5-1mdv2009.1
+ Revision: 324515
- New upstream release

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.3-2mdv2009.0
+ Revision: 269231
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Pascal Terjan <pterjan@mandriva.org> 0.6.3-1mdv2009.0
+ Revision: 217779
- move to vendor dir
- build against 4.6

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - new version 0.6.3
    - rebuild for new binary libraries location

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.6.0-2mdv2008.0
+ Revision: 16989
- Use group Development/Ruby


* Wed Jan 17 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.6.0-1mdv2007.0
+ Revision: 109720
- 0.6.0
- downgrade to db4.2, the recommended one, and used by ruby package
- use macros provided by ruby package instead of custom ones

  + Pascal Terjan <pterjan@mandriva.org>
    - Import ruby-bdb

* Wed May 03 2006 Pascal Terjan <pterjan@mandriva.org> 0.5.8-2mdk
- try removing hard dep on the lib version

* Sat Jan 07 2006 Pascal Terjan <pterjan@mandriva.org> 0.5.8-1mdk
- 0.5.8

* Sat Nov 12 2005 Pascal Terjan <pterjan@mandriva.org> 0.5.7-1mdk
- 0.5.7
- mkrel

* Wed May 18 2005 Pascal Terjan <pterjan@mandriva.org> 0.5.6-1mdk
- 0.5.6

* Sun May 01 2005 Pascal Terjan <pterjan@mandriva.org> 0.5.5-1mdk
- 0.5.5

* Sat Mar 19 2005 Pascal Terjan <pterjan@mandrake.org> 0.5.4-1mdk
- 0.5.4

* Thu Nov 11 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.2-1mdk
- 0.5.2

* Sun Jul 25 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.0-1mdk
- First version of the package

